Project a document field with its pending proposals applied
GET
/api/v1/items/{itemId}/livedoc-forward-redline
const url = 'https://app.avera.io/api/v1/items/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/livedoc-forward-redline?attributeId=example';const options = {method: 'GET'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://app.avera.io/api/v1/items/2489E9AD-2EE2-8E00-8EC9-32D5F69181C0/livedoc-forward-redline?attributeId=example'Returns the field’s current content and the content with every pending document proposal applied as a dry run, so the client can redline current against projected. Nothing is persisted.
Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”itemId
required
string format: uuid
Query Parameters
Section titled “Query Parameters”attributeId
required
string
Responses
Section titled “Responses”OK
Media type*/*
object
attributeId
required
string
current
required
object
container
boolean
nodeType
string
string
boolean
integralNumber
boolean
missingNode
boolean
valueNode
boolean
pojo
boolean
number
boolean
short
boolean
int
boolean
long
boolean
double
boolean
bigDecimal
boolean
bigInteger
boolean
textual
boolean
boolean
boolean
binary
boolean
floatingPointNumber
boolean
empty
boolean
array
boolean
null
boolean
object
boolean
float
boolean
embeddedValue
boolean
projected
required
object
container
boolean
nodeType
string
string
boolean
integralNumber
boolean
missingNode
boolean
valueNode
boolean
pojo
boolean
number
boolean
short
boolean
int
boolean
long
boolean
double
boolean
bigDecimal
boolean
bigInteger
boolean
textual
boolean
boolean
boolean
binary
boolean
floatingPointNumber
boolean
empty
boolean
array
boolean
null
boolean
object
boolean
float
boolean
embeddedValue
boolean
pendingCount
required
integer format: int32
appliedCount
required
integer format: int32